import React from 'react';
require('./index.css')
export default class PopupMiddleComponent extends React.Component{
    constructor(props){
        super(props);
    }


    render(){
        let props = this.props;
        let {popupText='',popupButtons=[],style={},classNames=""} = props;
        let dom = popupButtons.map((a,k)=>{
            return a;
        });
        return (
            <div className={"defaultPopup col333 "+classNames} style={style}>
                <div className={"defaultPopupText font30"}>
                    {popupText}
                </div>
                <div className={"defaultPopupButtons font32"}>
                    {dom}
                </div>
            </div>
        )
    }
}